0

I updated apt-get and tried to install tightvncserver using "sudo apt-get install tightvncserver" i got the error below

E:sub-process /usr/bin/apt-listchanges --apt || test $? -lt 10 returned an error code (1)
  • try running sudo apt-get update first, then sudo apt-get upgrade before you install any package. Try that & let us know how it goes. You should also read man apt – Seamus Aug 9 '18 at 14:42
  • When i run the command sudo apt-get upgrade i get this error **E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)**\ – Hamza.Engineer Aug 9 '18 at 15:23
  • Sounds like something got hung... /var/lib/dpkg/lock is a file apparently used to "lock" something to prevent two processes from working against each other. This thread implies that the lock file should ordinarily be absent, yet I see it on my system which is functioning normally. In other words, I'm not quite sure what is going on! If you haven't rebooted your system, please do that & try sudo apt-get update, then sudo apt-get full-upgrade. – Seamus Aug 9 '18 at 16:40
  • One thing to keep in mind (always) is that re-installing your system (starting from scratch) is often quicker and easier than troubleshooting these things. Not that they happen often, but I've spent hours and hours troubleshooting that I count as wasted time - not always as sometimes I learn something - but sometimes, I learn nothing. Anyway - something to ponder. Let us know what you see after trying the comment above. – Seamus Aug 9 '18 at 16:44
  • 1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.